/*
   CreativeLabs
   DIY LED Ring Light
*/
#include <FastLED.h>
#define LED_PIN     6 // Pin used on Arduino
#define NUM_LEDS    7 //Amount of leds
#define MAX_BRIGHTNESS 255 //Maximum brightness
#define MIN_BRIGHTNESS 1 // Minimum brightness

CRGB leds[NUM_LEDS];
int ledArray [7] = {0, 1, 2, 3, 4, 5, 6};
void setup() {
  FastLED.addLeds<WS2812, LED_PIN, GRB>(leds, NUM_LEDS);
  FastLED.setBrightness(MIN_BRIGHTNESS);
}
void loop() {
  int potValue = analogRead(A0); //Read analog pin A0
  int potValueBrightness = analogRead(A1); //Read analog pin A1
  
  /*
   * The potentiometer has a range of 0 - 1023. You use a part of the 1023 to so something.
  */ 
  for (int i = 0; i < 7; i++) {
    if (potValue < 200) { //If the value of the potentiometer is between 0 - 200 the LEDs will be white
      leds[i] = CRGB(255, 255 , 255); //This is the RGB color (White)
      FastLED.show();
    }
    else if (potValue > 200 && potValue < 400) {
      leds[i] = CRGB(255, 0 , 0); //Red
      FastLED.show();
    }
    else if (potValue > 400 && potValue < 600) {
      leds[i] = CRGB(255, 255 , 0); //Yellow
      FastLED.show();
    }
    else if (potValue > 600 && potValue < 800) { 
      leds[i] = CRGB(0, 255 , 0); //Green
      FastLED.show();
    }
    else if (potValue > 800) {
      leds[i] = CRGB(0, 0 , 255); //Blue
      FastLED.show();
    }
  }
  
  // CHANGE BRIGHTNESS
  int brightnessValue = map(analogRead(A1), 0, 1023, 0, 255); //maps brightness to 255 steps instead of 1023 (is not necessary but is easier to use)
  FastLED.setBrightness(constrain(brightnessValue, MIN_BRIGHTNESS, MAX_BRIGHTNESS));
}
